player_device_driverinfo Struct Reference

Request/reply: Get the driver name for a particular device. More...

`#include <player_interfaces.h>`

## Public Attributes

player_devaddr_t | addr
| The device identifier. More...
uint32_t | driver_name_count
| Length of the driver name.
char | driver_name [PLAYER_MAX_DRIVER_STRING_LEN]
| The driver name (returned)

## Detailed Description

Request/reply: Get the driver name for a particular device.

To get a name, send a PLAYER_PLAYER_REQ_DRIVERINFO request that specifies the address of the desired device in the addr field. Set driver_name_count to 0 and leave driver_name empty. The response will contain the driver name.

## Member Data Documentation

player_devaddr_t player_device_driverinfo::addr

The device identifier.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45